package ca.mcgill.sable.abc.impact.visualizer.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import ca.mcgill.sable.abc.impact.visualizer.model.ImageFactory;
import ca.mcgill.sable.abc.impact.visualizer.views.ImpactView;

public final class ExpandAllAction extends Action {
	
	private ImpactView impactView;

	public ExpandAllAction(ImpactView view) {
		super("Expand All");
		setDescription("Expand All");
		setToolTipText("Expand All");
		setImageDescriptor(ImageDescriptor.createFromImage(ImageFactory.EXPANDALL.getImage()));
		impactView = view;
	}

	public void run() {
		impactView.expandAll();
	}
}
